<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpColorHexEntry: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-widgets.html" title="Part I. GIMP Widgets">
<link rel="prev" href="GimpColorButton.html" title="GimpColorButton">
<link rel="next" href="GimpColorScale.html" title="GimpColorScale">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpColorHexEntry.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpColorHexEntry.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpColorHexEntry.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_signals">  <span class="dim">|</span> 
                  <a href="#GimpColorHexEntry.signals" class="shortcut">Signals</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpColorButton.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpColorScale.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpColorHexEntry"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpColorHexEntry.top_of_page"></a>GimpColorHexEntry</span></h2>
<p>GimpColorHexEntry — Widget for entering a color's hex triplet.</p>
</td>
<td class="gallery_image" valign="top" align="right"><img src="gimp-widget-color-hex-entry.png"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpColorHexEntry.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpColorHexEntry.html#gimp-color-hex-entry-new" title="gimp_color_hex_entry_new ()">gimp_color_hex_entry_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorHexEntry.html#gimp-color-hex-entry-set-color" title="gimp_color_hex_entry_set_color ()">gimp_color_hex_entry_set_color</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorHexEntry.html#gimp-color-hex-entry-get-color" title="gimp_color_hex_entry_get_color ()">gimp_color_hex_entry_get_color</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorHexEntry.signals"></a><h2>Signals</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="signals_return">
<col width="300px" class="signals_name">
<col width="200px" class="signals_flags">
</colgroup>
<tbody><tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="GimpColorHexEntry.html#GimpColorHexEntry-color-changed" title="The “color-changed” signal">color-changed</a></td>
<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorHexEntry.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpColorHexEntry.html#GimpColorHexEntry-struct" title="GimpColorHexEntry">GimpColorHexEntry</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorHexEntry.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkEntry.html#GtkEntry-struct">GtkEntry</a>
                    <span class="lineart">╰──</span> GimpColorHexEntry
</pre>
</div>
<div class="refsect1">
<a name="GimpColorHexEntry.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpColorHexEntry implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a>,  <a href="../gtk2/GtkEditable.html#GtkEditable-struct">GtkEditable</a> and  <a href="../gtk2/GtkCellEditable.html#GtkCellEditable-struct">GtkCellEditable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpColorHexEntry.description"></a><h2>Description</h2>
<p>Widget for entering a color's hex triplet.</p>
</div>
<div class="refsect1">
<a name="GimpColorHexEntry.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-color-hex-entry-new"></a><h3>gimp_color_hex_entry_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_color_hex_entry_new (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<div class="refsect3">
<a name="gimp-color-hex-entry-new.returns"></a><h4>Returns</h4>
<p> a new <a class="link" href="GimpColorHexEntry.html" title="GimpColorHexEntry"><span class="type">GimpColorHexEntry</span></a> widget</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-2.html#api-index-2.2">2.2</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-hex-entry-set-color"></a><h3>gimp_color_hex_entry_set_color ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_hex_entry_set_color (<em class="parameter"><code><a class="link" href="GimpColorHexEntry.html" title="GimpColorHexEntry"><span class="type">GimpColorHexEntry</span></a> *entry</code></em>,
                                <em class="parameter"><code>const <a href="../html/libgimpcolor-GimpRGB.html#GimpRGB"><span class="type">GimpRGB</span></a> *color</code></em>);</pre>
<p>Sets the color displayed by a <a class="link" href="GimpColorHexEntry.html" title="GimpColorHexEntry"><span class="type">GimpColorHexEntry</span></a>. If the new color
is different to the previously set color, the "color-changed"
signal is emitted.</p>
<div class="refsect3">
<a name="gimp-color-hex-entry-set-color.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>entry</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpColorHexEntry.html" title="GimpColorHexEntry"><span class="type">GimpColorHexEntry</span></a> widget</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>color</p></td>
<td class="parameter_description"><p>pointer to a <a href="../html/libgimpcolor-GimpRGB.html#GimpRGB"><span class="type">GimpRGB</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-2.html#api-index-2.2">2.2</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-hex-entry-get-color"></a><h3>gimp_color_hex_entry_get_color ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_hex_entry_get_color (<em class="parameter"><code><a class="link" href="GimpColorHexEntry.html" title="GimpColorHexEntry"><span class="type">GimpColorHexEntry</span></a> *entry</code></em>,
                                <em class="parameter"><code><a href="../html/libgimpcolor-GimpRGB.html#GimpRGB"><span class="type">GimpRGB</span></a> *color</code></em>);</pre>
<p>Retrieves the color value displayed by a <a class="link" href="GimpColorHexEntry.html" title="GimpColorHexEntry"><span class="type">GimpColorHexEntry</span></a>.</p>
<div class="refsect3">
<a name="gimp-color-hex-entry-get-color.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>entry</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpColorHexEntry.html" title="GimpColorHexEntry"><span class="type">GimpColorHexEntry</span></a> widget</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>color</p></td>
<td class="parameter_description"><p>pointer to a <a href="../html/libgimpcolor-GimpRGB.html#GimpRGB"><span class="type">GimpRGB</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-2.html#api-index-2.2">2.2</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpColorHexEntry.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpColorHexEntry-struct"></a><h3>GimpColorHexEntry</h3>
<pre class="programlisting">typedef struct _GimpColorHexEntry GimpColorHexEntry;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpColorHexEntry.signal-details"></a><h2>Signal Details</h2>
<div class="refsect2">
<a name="GimpColorHexEntry-color-changed"></a><h3>The <code class="literal">“color-changed”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="GimpColorHexEntry.html" title="GimpColorHexEntry"><span class="type">GimpColorHexEntry</span></a> *gimpcolorhexentry,
               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>           user_data)</pre>
<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>